List manage consumer notice responses
curl --request GET \
--url https://api.ecomailhub.younegotiate.com/manage-consumers/{consumer}/notice-responses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ecomailhub.younegotiate.com/manage-consumers/{consumer}/notice-responses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ecomailhub.younegotiate.com/manage-consumers/{consumer}/notice-responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 456,
"response_date": "2026-01-01T12:00:00.000000Z",
"response_date_label": "Jan 01, 2026",
"consumer_name": "Donna Weaver",
"sender": {
"id": 22,
"sender_detail_id": 99,
"type": "creditor_profile",
"name": "YN Prospect Sender",
"can_open_profile": true
},
"account_name": "Sadguru Shopping Center",
"account_number": "ACC-100",
"notice_balance": "150.75",
"notice_balance_label": "$150.75",
"response_type": 2,
"response_type_label": "Settlement Offer",
"creditor_member_status": "yn_prospect",
"creditor_member_status_label": "YN Prospect",
"creditor_response_status": "pending_delivery",
"creditor_response_status_label": "Pending Delivery",
"reason_label": null,
"notice": {
"has_notice_photo": true,
"file_url": "https://api.ecomailhub.younegotiate.com/storage/notice-responses/pending-delivery.png"
}
}
],
"pagination": {
"current_page": 1,
"from": 1,
"last_page": 1,
"per_page": 25,
"to": 1,
"total": 1
}
}{
"message": "Unauthenticated."
}{
"message": "Not Found."
}{
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
}List manage consumer notice responses
List the notice-response table rows for the selected EcoMail Hub grouped consumer identity.
GET
/
manage-consumers
/
{consumer}
/
notice-responses
List manage consumer notice responses
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Representative consumer ID from the manage consumers list.
Query Parameters
Available options:
response-date, consumer-name, account-number, notice-balance, response-type, creditor-member-status, creditor-response-status Available options:
asc, desc Required range:
x >= 1Required range:
1 <= x <= 100Last modified on July 19, 2026
Was this page helpful?
⌘I

